<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:48 CET 2016 -->
<title>OBDate (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OBDate (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html" title="enum in com.openbravo.test.integration.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/openbravo/test/integration/util/TestUtils.html" title="class in com.openbravo.test.integration.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/openbravo/test/integration/util/OBDate.html" target="_top">Frames</a></li>
<li><a href="OBDate.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.util</div>
<h2 title="Class OBDate" class="title">Class OBDate</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.util.OBDate</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">OBDate</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#ADD_DAYS_TO_SYSTEM_DATE_90">ADD_DAYS_TO_SYSTEM_DATE_90</a></span></code>
<div class="block">ADD_DAYS_TO_SYSTEM_DATE_90 adds 90 days to the correct system date at that moment
 ADD_DAYS_TO_SYSTEM_DATE_90 is invoked</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#CURRENT_DATE">CURRENT_DATE</a></span></code>
<div class="block">OBDate.CURRENT_DATE assigns the correct system date at that moment OBDate.CURRENT_DATE is
 invoked</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#DEDUCT_1_MONTH_TO_SYSTEM_DATE">DEDUCT_1_MONTH_TO_SYSTEM_DATE</a></span></code>
<div class="block">DEDUCT_1_MONTH_TO_SYSTEM_DATE deducts one month to the system date at that moment
 DEDUCT_1_MONTH_TO_SYSTEM_DATE is invoked</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#GET_30_DAYS_5_FROM_SYSTEM_DATE">GET_30_DAYS_5_FROM_SYSTEM_DATE</a></span></code>
<div class="block">GET_30_DAYS_5_FROM_SYSTEM_DATE get the correct system date at that moment
 GET_30_DAYS_5_FROM_SYSTEM_DATE is invoked</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#GET_CURRENT_YEAR">GET_CURRENT_YEAR</a></span></code>
<div class="block">GET_CURRENT_YEAR get the current year from system date at that moment GET_CURRENT_YEAR is
 invoked</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#GET_YEAR_BEFORE">GET_YEAR_BEFORE</a></span></code>
<div class="block">GET_YEAR_BEFORE deducts one year to the system date at that moment GET_YEAR_BEFORE is invoked</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#OBDate--">OBDate</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#addDaysToDate-java.lang.String-java.lang.Integer-">addDaysToDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;date,
             <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;days)</code>
<div class="block">Returns a formatted given date plus a fixed number of days.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#addDaysToSystemDate-java.lang.Integer-">addDaysToSystemDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;days)</code>
<div class="block">Returns a formatted system date plus a fixed number of days.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#addMonthsToSystemDate-java.lang.Integer-">addMonthsToSystemDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;months)</code>
<div class="block">Returns a formatted system date plus a fixed number of months.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#currentTimeIsAfterHHMMSS-int-int-int-">currentTimeIsAfterHHMMSS</a></span>(int&nbsp;hourOfDay,
                        int&nbsp;minute,
                        int&nbsp;second)</code>
<div class="block">Check if certain time is after the current system time.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#get30Days5FromSystemDate--">get30Days5FromSystemDate</a></span>()</code>
<div class="block">Get 30 days, 5 from current system date.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#getCurrentYear--">getCurrentYear</a></span>()</code>
<div class="block">Returns current year.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#getGivenDate-int-int-int-">getGivenDate</a></span>(int&nbsp;Year,
            int&nbsp;Month,
            int&nbsp;Day)</code>
<div class="block">Returns a given formatted date</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#getLastDayOfCurrentMonth--">getLastDayOfCurrentMonth</a></span>()</code>
<div class="block">Returns a formatted system date.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#getPeriod-java.lang.Integer-java.lang.Integer-">getPeriod</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;month,
         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;year)</code>
<div class="block">Returns a given period</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#getSystemDate--">getSystemDate</a></span>()</code>
<div class="block">Returns a formatted system date.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#getSystemTime--">getSystemTime</a></span>()</code>
<div class="block">Returns a formatted system time.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/OBDate.html#getYearBefore--">getYearBefore</a></span>()</code>
<div class="block">Returns previous year.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CURRENT_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CURRENT_DATE</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CURRENT_DATE</pre>
<div class="block">OBDate.CURRENT_DATE assigns the correct system date at that moment OBDate.CURRENT_DATE is
 invoked</div>
</li>
</ul>
<a name="ADD_DAYS_TO_SYSTEM_DATE_90">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ADD_DAYS_TO_SYSTEM_DATE_90</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ADD_DAYS_TO_SYSTEM_DATE_90</pre>
<div class="block">ADD_DAYS_TO_SYSTEM_DATE_90 adds 90 days to the correct system date at that moment
 ADD_DAYS_TO_SYSTEM_DATE_90 is invoked</div>
</li>
</ul>
<a name="GET_30_DAYS_5_FROM_SYSTEM_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GET_30_DAYS_5_FROM_SYSTEM_DATE</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> GET_30_DAYS_5_FROM_SYSTEM_DATE</pre>
<div class="block">GET_30_DAYS_5_FROM_SYSTEM_DATE get the correct system date at that moment
 GET_30_DAYS_5_FROM_SYSTEM_DATE is invoked</div>
</li>
</ul>
<a name="DEDUCT_1_MONTH_TO_SYSTEM_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEDUCT_1_MONTH_TO_SYSTEM_DATE</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DEDUCT_1_MONTH_TO_SYSTEM_DATE</pre>
<div class="block">DEDUCT_1_MONTH_TO_SYSTEM_DATE deducts one month to the system date at that moment
 DEDUCT_1_MONTH_TO_SYSTEM_DATE is invoked</div>
</li>
</ul>
<a name="GET_YEAR_BEFORE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GET_YEAR_BEFORE</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> GET_YEAR_BEFORE</pre>
<div class="block">GET_YEAR_BEFORE deducts one year to the system date at that moment GET_YEAR_BEFORE is invoked</div>
</li>
</ul>
<a name="GET_CURRENT_YEAR">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GET_CURRENT_YEAR</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> GET_CURRENT_YEAR</pre>
<div class="block">GET_CURRENT_YEAR get the current year from system date at that moment GET_CURRENT_YEAR is
 invoked</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OBDate--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OBDate</h4>
<pre>public&nbsp;OBDate()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addDaysToDate-java.lang.String-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addDaysToDate</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;addDaysToDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;date,
                                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;days)
                            throws <a href="http://docs.oracle.com/javase/7/docs/api/java/text/ParseException.html?is-external=true" title="class or interface in java.text">ParseException</a></pre>
<div class="block">Returns a formatted given date plus a fixed number of days.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - The date to which it is wanted to add days</dd>
<dd><code>days</code> - The number of days that are going to be added to the date</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The formatted target date.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/text/ParseException.html?is-external=true" title="class or interface in java.text">ParseException</a></code></dd>
</dl>
</li>
</ul>
<a name="getSystemDate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemDate</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSystemDate()</pre>
<div class="block">Returns a formatted system date.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The formatted current system date.</dd>
</dl>
</li>
</ul>
<a name="getSystemTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemTime</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSystemTime()</pre>
<div class="block">Returns a formatted system time.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The formatted current system time.</dd>
</dl>
</li>
</ul>
<a name="currentTimeIsAfterHHMMSS-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentTimeIsAfterHHMMSS</h4>
<pre>public static&nbsp;boolean&nbsp;currentTimeIsAfterHHMMSS(int&nbsp;hourOfDay,
                                               int&nbsp;minute,
                                               int&nbsp;second)</pre>
<div class="block">Check if certain time is after the current system time.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hourOfDay</code> - The current hour of the day</dd>
<dd><code>minute</code> - The current minute of the day</dd>
<dd><code>second</code> - The current second of the day</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the current system time is after HHMMSS specified in the parameters. Otherwise
         false.</dd>
</dl>
</li>
</ul>
<a name="addMonthsToSystemDate-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMonthsToSystemDate</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;addMonthsToSystemDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;months)</pre>
<div class="block">Returns a formatted system date plus a fixed number of months.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>months</code> - The number of months that it is required to be added to the current date</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The formatted target date.</dd>
</dl>
</li>
</ul>
<a name="addDaysToSystemDate-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addDaysToSystemDate</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;addDaysToSystemDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;days)</pre>
<div class="block">Returns a formatted system date plus a fixed number of days.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>days</code> - The number of days that it is required to be added to the current date</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The formatted target date.</dd>
</dl>
</li>
</ul>
<a name="getLastDayOfCurrentMonth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastDayOfCurrentMonth</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getLastDayOfCurrentMonth()</pre>
<div class="block">Returns a formatted system date.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The formatted current system date.</dd>
</dl>
</li>
</ul>
<a name="get30Days5FromSystemDate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get30Days5FromSystemDate</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;get30Days5FromSystemDate()</pre>
<div class="block">Get 30 days, 5 from current system date.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>30 days, 5 from current system date.</dd>
</dl>
</li>
</ul>
<a name="getCurrentYear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentYear</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCurrentYear()</pre>
<div class="block">Returns current year.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The formatted year.</dd>
</dl>
</li>
</ul>
<a name="getYearBefore--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getYearBefore</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getYearBefore()</pre>
<div class="block">Returns previous year. In 2011 returns 2010</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The formatted year.</dd>
</dl>
</li>
</ul>
<a name="getPeriod-java.lang.Integer-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPeriod</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPeriod(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;month,
                               <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;year)</pre>
<div class="block">Returns a given period</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>month</code> - The number of the month</dd>
<dd><code>year</code> - The number of the day</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The formatted period.</dd>
</dl>
</li>
</ul>
<a name="getGivenDate-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getGivenDate</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getGivenDate(int&nbsp;Year,
                                  int&nbsp;Month,
                                  int&nbsp;Day)</pre>
<div class="block">Returns a given formatted date</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>Year</code> - The number of the year</dd>
<dd><code>Month</code> - The number of the month</dd>
<dd><code>Day</code> - The number of the day</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the formatted given date</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html" title="enum in com.openbravo.test.integration.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/openbravo/test/integration/util/TestUtils.html" title="class in com.openbravo.test.integration.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/openbravo/test/integration/util/OBDate.html" target="_top">Frames</a></li>
<li><a href="OBDate.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
